WordPress.org

Ready to get started?Download WordPress

Forums

Firefox 3.0.3 & WordPress 2.6.2 Spell Check = Not Working (10 posts)

  1. jasondunn
    Member
    Posted 5 years ago #

    Early on, I installed a Firefox spell check plugin into WordPress, and didn't have any problems - but somewhere along the way, something broke. Right now, when I'm in the WYSIWYG editor view, incorrectly spelled words are not underlined red (Firefox 3.0.3). I know my Firefox spell checker is working because on other sites, including this one, I see my incorrectly spelled words underlined red.

    What's odd is that words that are hyperlinked are spell-checked - and I can toggle over to the HTML view and see my incorrect words underlined red. But in the regular view, I have zero spell checking.

    Any idea what's going on here? I have the same problem on two computers, both with Firefox 3.0.3, so I don't think it's a problem with my particular install of Firefox.

  2. Samuel Wood (Otto)
    Tech Ninja
    Posted 5 years ago #

    You don't need any Firefox spell checking plugin installed. There was an issue in one version of WordPress that disabled the FF spell checker, and I had a plugin to fix that, but it was only needed for that one version of WP. The issue was fixed in the next version.

    Firefox spell checking works with WordPress out of the box. No plugins needed. If you have one installed, then delete it.

  3. augnix
    Member
    Posted 5 years ago #

    I have this problem too; I haven't investigated much yet, but FF 3.0.3 on Windows with WP 2.6.2 - spell checking does not work; really weird.

    Update: The WP editor is over-riding the built in FF spell checker; use the WP Editor built in spell check (the little "abc" check mark button).

  4. jasondunn
    Member
    Posted 5 years ago #

    Thanks for the responses. First off, when I click on the WordPress spell icon, I get this:

    Error response: <br />
    <b>Warning</b>: fgets() [<a href='function.fgets'>function.fgets</a>]: SSL: fatal protocol error in <b>/home/jason-jasondunn.com/public_html/wp-includes/js/tinymce/plugins/spellchecker/classes/GoogleSpell.php</b> on line <b>93</b><br /> {"id":null,"result":[],"error":null}

    Any idea how to fix that error? I'm running 2.6.2 and when I upgrade I do the "wipe it all out and re-upload" method.

    As for the other issue, I have no special plugins installed inside WordPress for spell checking. So I'm at a loss as to why the spell checker inside Firefox doesn't work - I can see it working just fine inside this text box, but not on my blog...

  5. jasondunn
    Member
    Posted 5 years ago #

    I de-activated all my plug-ins and I still don't have Firefox spell checking working at all. Any other ideas? When I flip over to the HTML view, it flags the incorrect words. But when I'm in the WYSIWYG mode, it doesn't spell check. I'm using Firefox 3.0.3 with the English/Canada dictionary installed.

  6. jasondunn
    Member
    Posted 5 years ago #

    And as a follow-up, I happened to re-install Vista on one of my computers, and I have Firefox 3.0.3 installed with only the Foxmarks plugin installed, and the Canadian English dictionary; the Firefox spell checker still doesn't work in the WordPress text editing window.

  7. hypnotek
    Member
    Posted 5 years ago #

    Im having the same problem, im trying to use my FireFox and Flock Spell checkers in wordpress and neither of them are working. I tried finding a spell check plugin but there's none out there that are supported by 2.6.3. Help? Anyone?

  8. Samuel Wood (Otto)
    Tech Ninja
    Posted 5 years ago #

    Alright, two entirely different things here...

    The WordPress spell icon is NOT a Firefox spell check. Firefox has a built in spell checker that checks as you type into text fields, and that works regardless of what text field it is, WordPress included. You don't have to click any button for this to work. It just does, and misspelled words get a red highlight under them.

    The WordPress spell check button is a built-in piece that attempts to use Google's spell checker API to check your text. This requires that your host supports outgoing SSL connections. If you get the error that jasondunn posted above, then your host does not support those, and the WordPress built in spell check won't work.

    But Firefox and Flock and any other spell checker built into your browser works perfectly. Those are not a part of WordPress at all, in any way. Those should work.

    However, as I just confirmed in the latest trunk, they don't. If you switch to HTML, they work. If you switch back, they don't. If you right click the field, disable the FF spell check, then re-enable it, it works. This seems to be a TinyMCE problem.

    So I've made a post about it in trac, hopefully somebody can figure it out.

  9. jasondunn
    Member
    Posted 5 years ago #

    "However, as I just confirmed in the latest trunk, they don't. If you switch to HTML, they work. If you switch back, they don't. If you right click the field, disable the FF spell check, then re-enable it, it works. This seems to be a TinyMCE problem."

    ...with all due respect, this is exactly what I've been saying all along, and you dismissed my comment thinking that there wasn't a problem. I'm glad you looked into the problem eventually and realized there's an issue here, but it's a bit frustrating that you wouldn't have taken my comment at face value.

  10. jasondunn
    Member
    Posted 5 years ago #

    Does anyone have any ideas about how to get the spell check in Firefox to work with WordPress? This is driving me nuts... :-(

Topic Closed

This topic has been closed to new replies.

About this Topic